Bug 618610 - [firstboot] POT file outdated
[firstboot] POT file outdated
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firstboot (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Martin Gracik
Release Test Team
: i18n, RHELNAK, Translation
Depends On:
Blocks: 576455 552158
  Show dependency treegraph
 
Reported: 2010-07-27 07:23 EDT by Ankit Patel
Modified: 2013-07-04 08:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:38:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing english messages in firstboot screen (142.63 KB, image/png)
2010-07-27 07:23 EDT, Ankit Patel
no flags Details

  None (edit)
Description Ankit Patel 2010-07-27 07:23:52 EDT
Created attachment 434664 [details]
screenshot showing english messages in firstboot screen

1. Getting four warning messages while updating POT file for firstboot.
2. Some of the messages from firstboot were not extracted for translations

Additional Information:
[ankit@ankit-test po]# make firstboot.pot
xgettext --default-domain=firstboot --add-comments --language=python --keyword=_ --keyword=N_ ../progs/firstboot ../firstboot/config.py ../firstboot/constants.py ../firstboot/functions.py ../firstboot/__init__.py ../firstboot/interface.py ../firstboot/loader.py ../firstboot/module.py ../firstboot/moduleset.py ../firstboot/xfrontend.py ../modules/additional_cds.py ../modules/create_user.py ../modules/date.py ../modules/eula.py ../modules/welcome.py
../firstboot/loader.py:89: warning: 'msgid' format string with unnamed arguments cannot be properly localized:
                                    The translator cannot reorder the arguments.
                                    Please consider using a format string with named arguments,
                                    and a mapping instead of a tuple for the arguments.
../firstboot/loader.py:92: warning: 'msgid' format string with unnamed arguments cannot be properly localized:
                                    The translator cannot reorder the arguments.
                                    Please consider using a format string with named arguments,
                                    and a mapping instead of a tuple for the arguments.
../firstboot/loader.py:112: warning: 'msgid' format string with unnamed arguments cannot be properly localized:
                                     The translator cannot reorder the arguments.
                                     Please consider using a format string with named arguments,
                                     and a mapping instead of a tuple for the arguments.
../modules/create_user.py:195: warning: 'msgid' format string with unnamed arguments cannot be properly localized:
                                        The translator cannot reorder the arguments.
                                        Please consider using a format string with named arguments,
                                        and a mapping instead of a tuple for the arguments.
[ankit@ankit-test po]#
Comment 2 RHEL Product and Program Management 2010-07-27 07:57:35 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Martin Gracik 2010-07-27 12:12:25 EDT
I fixed those strings, and updated the .pot file, waiting for the translations now...
Comment 5 Martin Gracik 2010-07-30 09:39:38 EDT
The translations should be ready by 3rd August, then I will make a new build.
Comment 7 Martin Gracik 2010-08-03 13:26:16 EDT
Translation fixes available in new version firstboot-1.110.7-1, except Assamese, which should be available in the next build, next week.
Comment 8 Ankit Patel 2010-08-04 02:04:43 EDT
Translation fixes (except Assamese [as.po]) are available now.

TESTED & VERIFIED with firstboot-1.110.7-1

Thanks!
Ankit
Comment 9 Ankit Patel 2010-08-05 07:09:09 EDT
FIXED.

TESTED and VERIFIED with firstboot-1.110.7-1.el6.

Thanks!
Ankit
Comment 10 Piotr Drąg 2010-08-06 18:32:00 EDT
Any chance you could update POT file also in master branch, for Fedora 14? String freeze is coming soon.
Comment 11 releng-rhel@redhat.com 2010-11-11 10:38:16 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.